MPI_Type_fromint(3)

NAME
MPI_Type_fromint - converts an integer handle to MPI_Type

SYNOPSIS
MPI_Datatype MPI_Type_fromint(int datatype)

INPUT PARAMETERS
datatype
    - datatype (integer)

THREAD AND INTERRUPT SAFETY

This routine is thread-safe. This means that this routine may be safely used by multiple threads without the need for any user-provided thread locks. However, the routine is not interrupt safe. Typically, this is due to the use of memory allocation routines such as malloc or other non-MPICH runtime routines that are themselves not interrupt-safe.